Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class CachedPackage

- org.codehaus.groovy.tools.shell.util.CachedPackage

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `checked`
    `Map<String, CachedPackage>` | `childPackages`
    `boolean` | `containsClasses`
    `String` | `name`
    `Set<URL>` | `sources`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CachedPackage (String name, Set<URL> sources)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### boolean checked

    - #### Map<String, CachedPackage> childPackages

    - #### boolean containsClasses

    - #### String name

    - #### Set<URL> sources

  - ### Constructor Detail

    - #### CachedPackage(String name, Set<URL> sources)